#include "blockeditor.h"
#include "qad_locations.h"

#include <QApplication>


int main(int argc, char * argv[]) {
	QApplication a(argc, argv);
	a.setWindowIcon(QIcon(":/icons/blockview.png"));
	enableHighDPI();
	QAD::loadTranslations();
	BlockEditor w;
	if (a.arguments().size() > 1) w.loadFile(a.arguments().back());
	w.show();
	return a.exec();
}
